com.holonplatform.vaadin.flow.components.converters

## Interface StringToTimeConverter

- All Superinterfaces:
    com.vaadin.flow.data.converter.Converter<String,LocalTime>, Serializable

      public interface StringToTimeConverter
      extends com.vaadin.flow.data.converter.Converter<String,LocalTime>

  A `Converter`s that convert from `LocalTime` types to `String` and back.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringToTimeConverter` | `create()` Create a new `StringToTimeConverter`.
    `static StringToTimeConverter` | `create(char timeSeparator)` Create a new `StringToTimeConverter`.
    `static StringToTimeConverter` | `create(char timeSeparator, Locale locale)` Create a new `StringToTimeConverter`.
    `static StringToTimeConverter` | `create(Locale locale)` Create a new `StringToTimeConverter`.
    `char` | `getTimeSeparator()` Get the time separator character which corresponds to the converter configuration.
    `String` | `getValidationPattern()` Get the regex validation pattern which corresponds to the converter configuration.

    - ### Methods inherited from interface com.vaadin.flow.data.converter.Converter

      `chain, convertToModel, convertToPresentation, from, from, identity`

- - ### Method Detail

    - #### getTimeSeparator

          char getTimeSeparator()

      Get the time separator character which corresponds to the converter configuration.
      Returns:
        the time separator character

    - #### getValidationPattern

          String getValidationPattern()

      Get the regex validation pattern which corresponds to the converter configuration.
      Returns:
        the regex validation pattern

    - #### create

          static StringToTimeConverter create()

      Create a new `StringToTimeConverter`.
      Returns:
        A new `StringToTimeConverter`

    - #### create

          static StringToTimeConverter create(char timeSeparator)

      Create a new `StringToTimeConverter`.
      Parameters:
        `timeSeparator` - The fixed time separator character to use
      Returns:
        A new `StringToTimeConverter`

    - #### create

          static StringToTimeConverter create(Locale locale)

      Create a new `StringToTimeConverter`.
      Parameters:
        `locale` - The fixed `Locale` to use
      Returns:
        A new `StringToTimeConverter`

    - #### create

          static StringToTimeConverter create(char timeSeparator,
                                              Locale locale)

      Create a new `StringToTimeConverter`.
      Parameters:
        `timeSeparator` - The fixed time separator character to use
        `locale` - The fixed `Locale` to use
      Returns:
        A new `StringToTimeConverter`

Copyright © 2020 The Holon Platform. All rights reserved.